##### 7.5.23.0. purityTriang

Procedure from library `purityfiltration.lib` (see purityfiltration_lib).

Usage:
  purityTriang(S), S matrix with entries of an Auslander regular ring D

Return:
  a matrix T

Purpose:
  compute a triangular block matrix T, such that M=D^p/D^q(S^t) is isomorphic to M'=D^p'/D^q(T^t)

Example:

    LIB "purityfiltration.lib";
    ring D = 0,(x1,x2,d1,d2),dp;
    def S=Weyl();
    setring S;
    int i;
    matrix R[3][3]=0,d2-d1,d2-d1,d2,-d1,-d1-d2,d1,-d1,-2*d1;
    print(R);
    ==> 0, -d1+d2,-d1+d2,
    ==> d2,-d1,   -d1-d2,
    ==> d1,-d1,   -2*d1
    matrix T=purityTriang(transpose(R));
    // a triangular blockmatrix representing the module coker(R)
    print(T);
    ==> 0, 1,1,-1, 0,  0, 0,
    ==> -1,0,1,0,  -1, 0, 0,
    ==> 0, 0,0,-d1,-d2,-1,0,
    ==> 0, 0,0,-1, -1, 0, -1,
    ==> 0, 0,0,0,  0,  1, -d2,
    ==> 0, 0,0,0,  0,  1, 0,
    ==> 0, 0,0,0,  0,  0, d1

User manual for Singular version 4.4.1, 2025, generated by texi2html.